## com.lowagie.tools.arguments
Class BitsetArgument

    java.lang.Object
      com.lowagie.tools.arguments.ToolArgument
          com.lowagie.tools.arguments.BitsetArgument

All Implemented Interfaces:
  ActionListener, EventListener, PropertyChangeListener

public class BitsetArgument
extends ToolArgument

Argument that results in a set of "1" and "0" values.

Field Summary
`private JCheckBox[]` `options` These are the different options that can be true or false.

Fields inherited from class com.lowagie.tools.arguments.ToolArgument
`classname, description, name, propertyChangeListeners, tool, value`

Constructor Summary
`BitsetArgument(AbstractTool tool, String name, String description, String[] options)` Constructs an BitsetArgument.

Method Summary
`void` `actionPerformed(ActionEvent evt)`
`Object` `getArgument()` Gets the argument as an object.
`String` `getUsage()` Give you a String that can be used in a usage description.

Methods inherited from class com.lowagie.tools.arguments.ToolArgument
`addPropertyChangeListener, firePropertyChange, getClassname, getDescription, getName, getValue, propertyChange, removePropertyChangeListener, setClassname, setDescription, setName, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### options

    private JCheckBox[] options

  These are the different options that can be true or false.

Constructor Detail

### BitsetArgument

    public BitsetArgument(AbstractTool tool,
                          String name,
                          String description,
                          String[] options)

  Constructs an BitsetArgument.

Parameters:
  `tool` - the tool that needs this argument
  `name` - the name of the argument
  `description` - the description of the argument
  `options` - the different options that can be true or false

Method Detail

### getArgument

    public Object getArgument()
                       throws InstantiationException

  Gets the argument as an object.

  Overrides:
    `getArgument` in class `ToolArgument`
  Returns:
    an object
  Throws:
    `InstantiationException`

### getUsage

    public String getUsage()

  Description copied from class: `ToolArgument`
  Give you a String that can be used in a usage description.

  Overrides:
    `getUsage` in class `ToolArgument`
  Returns:
    a String
  See Also:
    `ToolArgument.getUsage()`

### actionPerformed

    public void actionPerformed(ActionEvent evt)

  Specified by:
    `actionPerformed` in interface `ActionListener`
  Overrides:
    `actionPerformed` in class `ToolArgument`
  See Also:
    `ActionListener.actionPerformed(java.awt.event.ActionEvent)`